
output_dir = ../../inc

build_cmd = php hexwriter.php

.phony: all clean

all: $(output_dir)/indexhtml.h $(output_dir)/dspchipgif.h $(output_dir)/ti_logogif.h

clean:
	rm -r $(output_dir)/indexhtml.h 
	rm -f $(output_dir)/dspchipgif.h
	rm -f $(output_dir)/ti_logogif.h

$(output_dir)/indexhtml.h: ../../index.html 
	$(build_cmd) ../../index.html $(output_dir)

$(output_dir)/dspchipgif.h: ../../dspchip.gif
	$(build_cmd) ../../dspchip.gif $(output_dir)

$(output_dir)/ti_logogif.h: ../../ti_logo.gif
	$(build_cmd) ../../ti_logo.gif $(output_dir)

